Update a Segment
curl --request PUT \
--url https://api.virtuoussoftware.com/api/Segment/{segmentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"code": "<string>",
"description": "<string>",
"totalContacts": "<integer>",
"contactQueryId": "<integer>",
"costPerContact": "<double>",
"packageCode": "<string>",
"packageDescription": "<string>",
"receiptSegmentId": "<integer>",
"segmentOrganizerId": "<integer>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
code: '<string>',
description: '<string>',
totalContacts: '<integer>',
contactQueryId: '<integer>',
costPerContact: '<double>',
packageCode: '<string>',
packageDescription: '<string>',
receiptSegmentId: '<integer>',
segmentOrganizerId: '<integer>'
})
};
fetch('https://api.virtuoussoftware.com/api/Segment/{segmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Segment/{segmentId}"
payload = {
"name": "<string>",
"code": "<string>",
"description": "<string>",
"totalContacts": "<integer>",
"contactQueryId": "<integer>",
"costPerContact": "<double>",
"packageCode": "<string>",
"packageDescription": "<string>",
"receiptSegmentId": "<integer>",
"segmentOrganizerId": "<integer>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Segment/{segmentId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"code\": \"<string>\",\n \"description\": \"<string>\",\n \"totalContacts\": \"<integer>\",\n \"contactQueryId\": \"<integer>\",\n \"costPerContact\": \"<double>\",\n \"packageCode\": \"<string>\",\n \"packageDescription\": \"<string>\",\n \"receiptSegmentId\": \"<integer>\",\n \"segmentOrganizerId\": \"<integer>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Segment/{segmentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'code' => '<string>',
'description' => '<string>',
'totalContacts' => '<integer>',
'contactQueryId' => '<integer>',
'costPerContact' => '<double>',
'packageCode' => '<string>',
'packageDescription' => '<string>',
'receiptSegmentId' => '<integer>',
'segmentOrganizerId' => '<integer>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/Segment/{segmentId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"code\": \"<string>\",\n \"description\": \"<string>\",\n \"totalContacts\": \"<integer>\",\n \"contactQueryId\": \"<integer>\",\n \"costPerContact\": \"<double>\",\n \"packageCode\": \"<string>\",\n \"packageDescription\": \"<string>\",\n \"receiptSegmentId\": \"<integer>\",\n \"segmentOrganizerId\": \"<integer>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Segment/{segmentId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"code\": \"<string>\",\n \"description\": \"<string>\",\n \"totalContacts\": \"<integer>\",\n \"contactQueryId\": \"<integer>\",\n \"costPerContact\": \"<double>\",\n \"packageCode\": \"<string>\",\n \"packageDescription\": \"<string>\",\n \"receiptSegmentId\": \"<integer>\",\n \"segmentOrganizerId\": \"<integer>\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Segment/{segmentId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
code: '<string>',
description: '<string>',
totalContacts: '<integer>',
contactQueryId: '<integer>',
costPerContact: '<double>',
packageCode: '<string>',
packageDescription: '<string>',
receiptSegmentId: '<integer>',
segmentOrganizerId: '<integer>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 5100,
"contactQueryId": 77,
"receiptSegmentId": 88,
"name": "Spring Appeal 2025 — Direct Mail",
"description": "Lapsed and mid-level donors targeted in the Spring Appeal direct-mail drop.",
"code": "SP-2025-DM",
"communicationId": 4400,
"communicationName": "Spring Appeal 2025 — Direct Mail",
"campaignId": 2010,
"campaignName": "Spring Appeal 2025",
"segmentOrganizerId": 5001
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Campaigns
Update a Segment
Similar to other update methods in the API, excluding a property will remove its value from the object. If you’re only updating a single property, the entire model is still required.
PUT
/
api
/
Segment
/
{segmentId}
Update a Segment
curl --request PUT \
--url https://api.virtuoussoftware.com/api/Segment/{segmentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"code": "<string>",
"description": "<string>",
"totalContacts": "<integer>",
"contactQueryId": "<integer>",
"costPerContact": "<double>",
"packageCode": "<string>",
"packageDescription": "<string>",
"receiptSegmentId": "<integer>",
"segmentOrganizerId": "<integer>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
code: '<string>',
description: '<string>',
totalContacts: '<integer>',
contactQueryId: '<integer>',
costPerContact: '<double>',
packageCode: '<string>',
packageDescription: '<string>',
receiptSegmentId: '<integer>',
segmentOrganizerId: '<integer>'
})
};
fetch('https://api.virtuoussoftware.com/api/Segment/{segmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Segment/{segmentId}"
payload = {
"name": "<string>",
"code": "<string>",
"description": "<string>",
"totalContacts": "<integer>",
"contactQueryId": "<integer>",
"costPerContact": "<double>",
"packageCode": "<string>",
"packageDescription": "<string>",
"receiptSegmentId": "<integer>",
"segmentOrganizerId": "<integer>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Segment/{segmentId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"code\": \"<string>\",\n \"description\": \"<string>\",\n \"totalContacts\": \"<integer>\",\n \"contactQueryId\": \"<integer>\",\n \"costPerContact\": \"<double>\",\n \"packageCode\": \"<string>\",\n \"packageDescription\": \"<string>\",\n \"receiptSegmentId\": \"<integer>\",\n \"segmentOrganizerId\": \"<integer>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Segment/{segmentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'code' => '<string>',
'description' => '<string>',
'totalContacts' => '<integer>',
'contactQueryId' => '<integer>',
'costPerContact' => '<double>',
'packageCode' => '<string>',
'packageDescription' => '<string>',
'receiptSegmentId' => '<integer>',
'segmentOrganizerId' => '<integer>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/Segment/{segmentId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"code\": \"<string>\",\n \"description\": \"<string>\",\n \"totalContacts\": \"<integer>\",\n \"contactQueryId\": \"<integer>\",\n \"costPerContact\": \"<double>\",\n \"packageCode\": \"<string>\",\n \"packageDescription\": \"<string>\",\n \"receiptSegmentId\": \"<integer>\",\n \"segmentOrganizerId\": \"<integer>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Segment/{segmentId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"code\": \"<string>\",\n \"description\": \"<string>\",\n \"totalContacts\": \"<integer>\",\n \"contactQueryId\": \"<integer>\",\n \"costPerContact\": \"<double>\",\n \"packageCode\": \"<string>\",\n \"packageDescription\": \"<string>\",\n \"receiptSegmentId\": \"<integer>\",\n \"segmentOrganizerId\": \"<integer>\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Segment/{segmentId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
code: '<string>',
description: '<string>',
totalContacts: '<integer>',
contactQueryId: '<integer>',
costPerContact: '<double>',
packageCode: '<string>',
packageDescription: '<string>',
receiptSegmentId: '<integer>',
segmentOrganizerId: '<integer>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 5100,
"contactQueryId": 77,
"receiptSegmentId": 88,
"name": "Spring Appeal 2025 — Direct Mail",
"description": "Lapsed and mid-level donors targeted in the Spring Appeal direct-mail drop.",
"code": "SP-2025-DM",
"communicationId": 4400,
"communicationName": "Spring Appeal 2025 — Direct Mail",
"campaignId": 2010,
"campaignName": "Spring Appeal 2025",
"segmentOrganizerId": 5001
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Body
application/json
Response
OK
Was this page helpful?